Name:		synapse
Version:	0.2.99.1  
Release:	2%{?dist}
Summary:	A semantic launcher written in Vala

License:	GPLv3+
URL:		https://launchpad.net/synapse-project
Source0:	https://launchpad.net/synapse-project/0.3/0.2.99.1/+download/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: gtk2-devel
BuildRequires: gtk3-devel
BuildRequires: intltool
BuildRequires: json-glib-devel
BuildRequires: libgee-devel
BuildRequires: keybinder3-devel
BuildRequires: libnotify-devel
BuildRequires: vala-devel
BuildRequires: glib2-devel
BuildRequires: zeitgeist-devel

%description
Synapse is a semantic launcher written in Vala that you can use to start
applications as well as find and access relevant documents and files by making
use of the Zeitgeist engine.

%prep
%setup -q

%build
%configure --disable-static --enable-zeitgeist=yes
make %{?_smp_mflags}


%install
%make_install

%find_lang %{name}

desktop-file-install                                    \
--delete-original                                       \
--dir=%{buildroot}%{_datadir}/applications              \
%{buildroot}%{_datadir}/applications/synapse.desktop

desktop-file-validate %{buildroot}/%{_datadir}/applications/synapse.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc README AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/synapse.desktop
%{_mandir}/man1/synapse.1.gz
%{_datadir}/icons/hicolor/scalable/apps/synapse.svg

%changelog
* Sun Aug  23 2015 Tonet Jallo <tonet666p@fedoraproject.org> - 0.2.99.1-2
- Removing some spaces and comments from SPEC file.

* Sun Aug  23 2015 Tonet Jallo <tonet666p@fedoraproject.org> - 0.2.99.1-1
- Initial packaging of retired package.
